# /bin/sh

if [ -z "$JAVACMD" ] ; then
   if [ -n "$JAVA_HOME" ] ; then
      JAVACMD="$JAVA_HOME/bin/java"
   else
      JAVACMD="`which java`"
   fi
 fi
 
if [ ! -x "$JAVACMD" ] ; then
 echo "Error: JAVA_HOME is not defined correctly; cannot execute: $JAVACMD"
 exit 1
fi

java -Xmx4g -javaagent:lib/jborat-agent.jar \
 -server -XX:+TieredCompilation -XX:+AggressiveOpts \
 -Dch.usi.dag.jborat.exclusionList="conf/exclusion.lst" \
  -Dch.usi.dag.jborat.liblist="conf/lib.lst" \
   -Dch.usi.dag.jp2.outputFilePrefix="$*" \
    -Dch.usi.dag.jborat.instrumentation="ch.usi.dag.jp2.instrument.AddInstrumentation" \
     -Dch.usi.dag.jborat.codemergerList="conf/codemerger.lst" \
      -Dch.usi.dag.jborat.uninstrumented="$*_uninstrumented"  \
      -Dch.usi.dag.jborat.instrumented="$*_instrumented" \
       -Xbootclasspath/p:./lib/Thread_JP2.jar:lib/jborat-runtime.jar:lib/jp2-runtime.jar \
       -cp .:$CLOJURE_HOME/clojure-1.3.0.jar \
       $*

